> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Magic Embed settings

> Returns Magic Embed settings for a project, including whether the integration is enabled and the list of allowed domains.

Returns Magic Embed settings for a project, including whether the integration is enabled and the list of allowed domains.

See the [Magic Embed guide](/docs-and-guides/integrations/magic-embed) for setup instructions.


## OpenAPI

````yaml get /projects/{project_id}/integrations/client_side
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/integrations/client_side:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    get:
      tags:
        - Magic Embed
      summary: Get Magic Embed settings
      description: >-
        Returns Magic Embed settings for a project, including whether the
        integration is enabled and the list of allowed domains.
      operationId: client_side#index
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/clientSideIntegrationExample'
              schema:
                $ref: '#/components/schemas/clientSideIntegrationModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    clientSideIntegrationExample:
      summary: A sample client side integration
      value:
        enabled: false
        allowed_domains:
          - example.com
          - m.example.com
        created: 2023-01-01 00:00:00 UTC
        updated: 2023-01-01 00:00:00 UTC
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    clientSideIntegrationModel:
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether or not the client side integration should be enabled.
            Disabled by default.
        allowed_domains:
          type: array
          items:
            type: string
          description: >-
            The list of domains from which to import content into the
            BeyondWords platform.
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````